Skip to main content
PATCH
/
v1
/
people
/
{id}
Update a person
curl --request PATCH \
  --url https://api.vendaze.com/v1/people/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "<string>",
  "emails": [
    {
      "email": "nome@empresa.com",
      "reminder": "work"
    }
  ],
  "phones": [
    {
      "phone": "+5511999990001",
      "reminder": "mobile"
    }
  ],
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "position": "<string>",
  "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ranking": 2.5
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "full_name": "Maria Silva",
    "emails": [
      {
        "email": "maria@company.com",
        "reminder": "work"
      }
    ],
    "phones": [
      {
        "phone": "+5511999990001",
        "reminder": "mobile"
      }
    ],
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "position": "Sales Director",
    "ranking": 4,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.1 access token.

Path Parameters

id
string<uuid>
required

UUID of the resource.

Body

application/json
full_name
string
Maximum string length: 70
emails
object[]
phones
object[]
company_id
string<uuid> | null
position
string | null
Maximum string length: 100
owner_user_id
string<uuid> | null
ranking
number
Required range: 0 <= x <= 5

Response

Person updated successfully.

data
object